Bug 430773 - Read-only description metadata does not wrap in file properties dialog
Read-only description metadata does not wrap in file properties dialog
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-29 13:26 EST by Oliver Henshaw
Modified: 2008-11-26 08:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 08:52:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Untested diff provided by dfaure in irc (795 bytes, patch)
2008-01-29 13:31 EST, Oliver Henshaw
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 157089 None None None Never

  None (edit)
Description Oliver Henshaw 2008-01-29 13:26:43 EST
Description of problem:

I'm writing a KFile plugin for kde 3.5 and discovered that long text in a
metadata field is not wrapped by the kde file properties dialog.

This bug is usually not triggered because most metadata items with
KFileMimeTypeInfo::Description are editable comment fields and so use the
multi-line editbox.

Not sure how to produce a test case - I can't think of any existing mime-types
with read-only description fields or long metadata offhand - I notice there's no
kfile plugins for .rpm in kde3.5, maybe there's something in kde4/strigi?

Version-Release number of selected component (if applicable):
kdelibs-3.5.8-19.fc8


How reproducible:

View long text in meta-data tab in right-click properties dialog from
konqueror/dolphin.

Actual results:

Horizontal scroll bar.

Expected results:

Wrapped text.
Comment 1 Oliver Henshaw 2008-01-29 13:31:12 EST
Created attachment 293312 [details]
Untested diff provided by dfaure in irc

Here's a possible solution proposed by dfaure on #kde. I don't know if the
KFileMimeTypeInfo::Multiline flag should be re-used for this.
Comment 2 Rex Dieter 2008-01-31 12:44:07 EST
Imo, this is something better addressed upstream.  Looks like you've started
that with dfaure on #kde, great.  Anything reported to bugs.kde.org yet?
Comment 3 Bug Zapper 2008-11-26 04:37:35 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Rex Dieter 2008-11-26 08:52:12 EST
We'll track this upstream.

Note You need to log in before you can comment on or make changes to this bug.